import request from '@/utils/request'

// 查询查询配置列表
export function listQueryConfig(query) {
  return request({
    url: '/system/queryConfig/list',
    method: 'get',
    params: query
  })
}

// 查询查询配置详细
export function getQueryConfig(configId) {
  return request({
    url: '/system/queryConfig/' + configId,
    method: 'get'
  })
}

// 新增查询配置
export function addQueryConfig(data) {
  return request({
    url: '/system/queryConfig',
    method: 'post',
    data: data
  })
}

// 修改查询配置
export function updateQueryConfig(data) {
  return request({
    url: '/system/queryConfig',
    method: 'put',
    data: data
  })
}

// 删除查询配置
export function delQueryConfig(configId) {
  return request({
    url: '/system/queryConfig/' + configId,
    method: 'delete'
  })
}
